Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine
Class ExecuteUpdateResultCheckStyle

    java.lang.Object
      org.hibernate.engine.ExecuteUpdateResultCheckStyle

All Implemented Interfaces:
  Serializable

    public class ExecuteUpdateResultCheckStyle

extends Object
implements Serializable

For persistence operations (INSERT, UPDATE, DELETE) what style of determining results (success/failure) is to be used.

Author:
  Steve Ebersole
See Also:
  Serialized Form

Field Summary
`static ExecuteUpdateResultCheckStyle` | `COUNT` Perform row-count checking.
`static ExecuteUpdateResultCheckStyle` | `NONE` Do not perform checking.
`static ExecuteUpdateResultCheckStyle` | `PARAM` Essentially the same as `COUNT` except that the row count actually comes from an output parameter registered as part of a `CallableStatement`.

Method Summary
`static ExecuteUpdateResultCheckStyle` | `determineDefault(String customSql, boolean callable)`
`static ExecuteUpdateResultCheckStyle` | `parse(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    public static final ExecuteUpdateResultCheckStyle NONE

  Do not perform checking. Either user simply does not want checking, or is indicating a `CallableStatement` execution in which the checks are being performed explicitly and failures are handled through propogation of `SQLException`s.

### COUNT

    public static final ExecuteUpdateResultCheckStyle COUNT

  Perform row-count checking. Row counts are the int values returned by both `PreparedStatement.executeUpdate()` and `Statement.executeBatch()`. These values are checked against some expected count.

### PARAM

    public static final ExecuteUpdateResultCheckStyle PARAM

  Essentially the same as `COUNT` except that the row count actually comes from an output parameter registered as part of a `CallableStatement`. This style explicitly prohibits statement batching from being used...

Method Detail

### parse

    public static ExecuteUpdateResultCheckStyle parse(String name)

### determineDefault

    public static ExecuteUpdateResultCheckStyle determineDefault(String customSql,
                                                                 boolean callable)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD